Bug 141324 - ispell display redraws improperly when checking text files in gnome-terminal (upgraded from FC2)
ispell display redraws improperly when checking text files in gnome-terminal ...
Status: CLOSED DUPLICATE of bug 134300
Product: Fedora
Classification: Fedora
Component: vte (Show other bugs)
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Behdad Esfahbod
Depends On:
  Show dependency treegraph
Reported: 2004-11-30 09:35 EST by S. A. Hutchins
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-31 15:55:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description S. A. Hutchins 2004-11-30 09:35:31 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
I create a text file, foo. The text file contains the lines "teh
trukey jmpus oevr teh cwo" in different forms. I run the command:

% ispell foo

At first, everything is right and proper, but after completing a check
of the first line or so, text redraws over itself or appears in odd
locations, making it impossible to perform the check with any context.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Create a text file that contains some mispelled words.
2. Start gnome terminal and check the file using ispell.
3. Complete checking more than one line of the file.

Actual Results:  After checking the first line or so, things didn't
look right.

Expected Results:  There should not be any screen corruption.

Additional info:

This might be a problem with gnome-terminal and/or vte? It doesn't
happen in an xterm or on console.
Comment 1 Eido Inoue 2004-12-01 14:57:11 EST
This is a known gnome-terminal xterm-emulation bug. (see bug 134300)

Setting TERM=gnome is a temporary workaround.
Comment 2 Matthew Miller 2006-07-10 19:13:35 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 3 John Thacker 2006-10-31 15:55:24 EST

*** This bug has been marked as a duplicate of 134300 ***

Note You need to log in before you can comment on or make changes to this bug.